Skip to main content
`Ctrl`+`K`

# PetscObjectSetName

Sets a string name for a PETSc object.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSetName(PetscObject obj, const char name[])

Not Collective

## Input Parameters

- obj - the PETSc object. It must be cast with a (`PetscObject`), for example, `PetscObjectSetName`((`PetscObject`)mat,name);

- name - the name to give obj

## Note

If this routine is not called then `obj` may end up being named by `PetscObjectName()`.

## See Also

`PetscObjectGetName()`, `PetscObjectName()`

## Level

advanced

## Location

src/sys/objects/pname.c

## Examples

src/dm/impls/plex/tutorials/ex13.c
src/dm/impls/plex/tutorials/ex7.c
src/dm/impls/plex/tutorials/ex14.c
src/dm/impls/plex/tutorials/ex5.c
src/dm/impls/plex/tutorials/ex16.c
src/dm/impls/plex/tutorials/ex18.c
src/dm/field/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex1.c
src/dm/dt/dualspace/impls/lagrange/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex15.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages